# Get the next event with AI insights (v1)

Returns the next football event with AI match insights ready. Read them with Get Sports Event AI Insights after the match ends. Nothing found returns `data: null`.

- Platform: Sofascore
- Request: `GET https://api.toolzerhub.com/v1/sofascore/events/insights/next`
- Auth: `x-api-key` header
- Cost: 1 credit per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/sofascore/events/get-sports-next-ai-insight-event

## Example request

```bash
curl "https://api.toolzerhub.com/v1/sofascore/events/insights/next" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
